### Hierarchy

- Session

## Index

### Properties

- appVendors
- appVersion
- appWindow
- currentDivision
- id
- serverAssignment
- serverVersion
- tenantId
- tenantProperties
- type
- userId

## Properties

### appVendors

appVendors: ReadonlyArray<string>

- Defined in models/Session.ts:5

### appVersion

appVersion: string

- Defined in models/Session.ts:9

Current version of the underlying application (business) logic. This is not the middleware version.

### appWindow

appWindow: AppWindow

- Defined in models/Session.ts:10

### currentDivision

currentDivision: string

- Defined in models/Session.ts:15

Current division is analagous to a "sub-tenant" and it's possible for users to tailor different desktops based on their division.

### id

id: string

- Defined in models/Session.ts:16

### serverAssignment

serverAssignment: string

- Defined in models/Session.ts:22

The dialog layer interacts with an application endpoint, transparent to the user interface. The serverAssignment is not used by the user interface directly, but this value can be useful when diagnosing problems.

### serverVersion

serverVersion: string

- Defined in models/Session.ts:26

Current version of the underlying middleware (not the application logic)

### tenantId

tenantId: string

- Defined in models/Session.ts:17

### tenantProperties

tenantProperties: StringDictionary

- Defined in models/Session.ts:31

The tenantProperties object is arbitrary, its values are dynamically defined and it is used to return tenant-specific values to the requesting client.

### type

type: string

- Defined in models/Session.ts:33

### userId

userId: string

- Defined in models/Session.ts:35

Generated using TypeDoc